Bug Hunting Session
Bug 90673 - FILESAVE : PPTX Paragraph text direction right-to-left is not exported
Summary: FILESAVE : PPTX Paragraph text direction right-to-left is not exported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2015-04-17 11:16 UTC by Priyanka Gaikwad
Modified: 2015-08-27 10:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
right-to-left text (31.09 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-04-17 11:16 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2015-04-17 11:16:58 UTC
Created attachment 114856 [details]
right-to-left text

Problem description: 

xml tag 'rtl' is not exported for paragraph

Steps to reproduce:
1. Open .pptx (attached)
2. Save as .pptx
3. Open saved pptx

Current behavior:
After RT 'rtl' tag of <a:pPr> are not exported

Expected behaviour:
After RT 'rtl' tag of <a:pPr> should export
Comment 1 raal 2015-04-17 15:52:46 UTC
I can confirm with Version: 4.4.4.0.0+
Build ID: 7ede9572e86a907f7cce8debba732d07b6b45923
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-04-15_16:06:45
Comment 2 A (Andy) 2015-04-20 18:48:52 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 3 Commit Notification 2015-04-30 08:36:15 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6f171a3c4f58ea957071f614a3611a25f2e4eec

tdf#90673:FILESAVE:PPTX Paragraph text direction right-to-left is not exported

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Akshay Anand 2015-05-11 08:24:59 UTC
Verified on LO Windows build ID :

Version: 5.0.0.0.alpha1+
Build ID: 5984cc83fe756f7483d1ac582b8adbef5042be8b
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-07_05:11:59
Locale: en-US (en_US)


The issue has been fixed. 
xml tag 'rtl' is getting exported for paragraph
Comment 5 Lior Kaplan 2015-08-27 10:50:16 UTC
Changing status to verified per comment #4.